Package org.eclipse.mat.ui.internal.query.arguments

# Enum CheckBoxEditor.Type

java.lang.Object
java.lang.Enum<CheckBoxEditor.Type>
org.eclipse.mat.ui.internal.query.arguments.CheckBoxEditor.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckBoxEditor.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `CheckBoxEditor`

public static enum CheckBoxEditor.Type extends Enum<CheckBoxEditor.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GENERAL`
`INCLUDE_CLASS_INSTANCE`
`INCLUDE_SUBCLASSES`
`INTEPRET_AS_CLASSLOADER`
`RETAINED`
`VERBOSE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFlag()`
`String`
`getHelpText()`
`String`
`getLabel()`
`static CheckBoxEditor.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CheckBoxEditor.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCLUDE_CLASS_INSTANCE

public static final CheckBoxEditor.Type INCLUDE_CLASS_INSTANCE

### INCLUDE_SUBCLASSES

public static final CheckBoxEditor.Type INCLUDE_SUBCLASSES

### INTEPRET_AS_CLASSLOADER

public static final CheckBoxEditor.Type INTEPRET_AS_CLASSLOADER

### RETAINED

public static final CheckBoxEditor.Type RETAINED

### VERBOSE

public static final CheckBoxEditor.Type VERBOSE

### GENERAL

public static final CheckBoxEditor.Type GENERAL

## Method Details

### values

public static CheckBoxEditor.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CheckBoxEditor.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getLabel

public String getLabel()

### getHelpText

public String getHelpText()

### getFlag

public String getFlag()